/* /////////////////////// header animation //////////////////////////////////// */

.s2 {
  top: 35px;
  left: 190px;
  position: absolute;
  height: 40px;
  width: 40px;
  background-color: transparent;
  /* top: 50vh; */
  /* left: 50%; */
  transform: translate(-50%, -50%);
}

.s1 {
  top: 35px;
  left: 190px;
  position: absolute;
  height: 40px;
  width: 40px;
  /* top: 50vh; */
  /* left: 50%; */
  transform-origin: center;
  transform: translate(-50%, -50%) rotate(45deg);
  background-color: transparent;
}

.bigcon {
  position: absolute;
  top: 35px;
  left: 190px;
  height: 40px;
  width: 40px;
  /* top: 50vh; */
  /* left: 50%; */
  transform-origin: center;
  transform: translate(-50%, -50%) rotate(-45deg);
  background-color: transparent;
  animation: bigcon 2s infinite linear;
  animation-delay: 0.25s;
}

.b {
  border-radius: 50%;
  position: absolute;
}

.s {
  width: 12px;
  height: 12px;
  animation: small 2s infinite ease;
  box-shadow: 0px 2px rgba(0, 0, 0, 0.3);
  background-color: #46b9ff;
}

.s:nth-child(1) {
  top: 0%;
  left: 0%;
}

.s:nth-child(2) {
  top: 0%;
  right: 0%;
}

.s:nth-child(3) {
  right: 0%;
  bottom: 0%;
}

.s:nth-child(4) {
  bottom: 0%;
  left: 0%;
}

.big {
  width: 12px;
  height: 12px;
  border-radius: 15px;
  box-shadow: 0px 0px 10px #54f7f8, 0px 0px 20px #54f7f8, 0px 0px 30px #54f7f8,
    0px 0px 50px #54f7f8, 0px 0px 60px #54f7f8;
  z-index: 1;
  background-color: #54f7f8;
  animation: bigball 1s infinite linear;
}

.sb1 {
  animation-delay: -1.75s;
}
.sb6 {
  animation-delay: -1.5s;
}
.sb2 {
  animation-delay: -1.25s;
}
.sb7 {
  animation-delay: -1s;
}
.sb3 {
  animation-delay: -0.75s;
}
.sb8 {
  animation-delay: -0.5s;
}
.sb4 {
  animation-delay: -0.25s;
}
.sb5 {
  animation-delay: -0s;
}

@keyframes bigcon {
  0% {
    transform-origin: center;
    transform: translate(-50%, -50%) rotate(45deg);
  }
  100% {
    transform-origin: center;
    transform: translate(-50%, -50%) rotate(405deg);
  }
}

@keyframes small {
  0% {
    transform: scale(1);
    background-color: #46b9ff;
  }
  10% {
    transform: scale(1.3);
    background-color: #54f7f8;
  }
  15% {
    transform: scale(1);
  }
  25% {
    transform: scale(1);
    background-color: #46b9ff;
  }
  100% {
    transform: scale(1);
    background-color: #46b9ff;
  }
}

@media (max-width: 768px) {
  .s1 {
    left: 50%;
    top: 40px;
  }
  .s2 {
    left: 50%;
    top: 40px;
  }
  .bigcon {
    left: 50%;
    top: 40px;
  }
}
